Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.user.tools
Class WebAppCreator

    java.lang.Object
      com.google.gwt.user.tools.WebAppCreator

    public final class WebAppCreator

extends java.lang.Object

Creates a GWT application skeleton.

Constructor Summary
`WebAppCreator()`

Method Summary
`protected static boolean` | `doMain(java.lang.String... args)`
`protected void` | `doRun()` Deprecated. as of GWT 2.1, replaced by `doRun(String)`
`protected void` | `doRun(java.lang.String installPath)` Create the sample app.
`java.util.List<com.google.gwt.user.tools.WebAppCreator.FileCreator>` | `getFiles(java.util.Map<java.lang.String,java.lang.String> replacements)`
`java.util.Map<java.lang.String,java.lang.String>` | `getReplacements(java.lang.String installPath, java.lang.String theModuleName)`
`static void` | `main(java.lang.String[] args)`
`protected boolean` | `run()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WebAppCreator

    public WebAppCreator()

Method Detail

### main

    public static void main(java.lang.String[] args)

### doMain

    protected static boolean doMain(java.lang.String... args)

### getFiles

    public java.util.List<com.google.gwt.user.tools.WebAppCreator.FileCreator> getFiles(java.util.Map<java.lang.String,java.lang.String> replacements)
                                                                                 throws java.io.IOException,
                                                                                        WebAppCreatorException

  Throws:
    `java.io.IOException`
    `WebAppCreatorException`

### getReplacements

    public java.util.Map<java.lang.String,java.lang.String> getReplacements(java.lang.String installPath,
                                                                            java.lang.String theModuleName)

### doRun

    @Deprecated
    protected void doRun()
                  throws java.io.IOException,
                         WebAppCreatorException

  Deprecated. as of GWT 2.1, replaced by `doRun(String)`

  Create the sample app.

  Throws:
    `java.io.IOException` - if any disk write fails
    `WebAppCreatorException` - if any tag expansion of template processing fails

### doRun

    protected void doRun(java.lang.String installPath)
                  throws java.io.IOException,
                         WebAppCreatorException

  Create the sample app.

  Parameters:
    `installPath` - directory containing GWT libraries
  Throws:
    `java.io.IOException` - if any disk write fails
    `WebAppCreatorException` - if any tag expansion of template processing fails

### run

    protected boolean run()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD